<?php
session_start();
include("../include/dbconnect.php");
include("../include/functions.php");

$comp_id = $_SESSION["comp_id"];
$year_id = $_SESSION["year_id"];
$base_doc = clean_data($_POST['base_doc']);
$base_voucher_id = clean_data($_POST['base_voucher_id']);

$table = find_value('menu','menu_table'," and doc_type='$base_doc'");
$tabledet = $table.'det';

$rate_decimals = find_value('system','rate_decimals','');
$amt_decimals = find_value('system','amt_decimals','');

    try {
        $item_query = "SELECT m.voucher_id,
	m.voucher_date,
	d.stock_code,
	p.acct_name,
	m.discp,
	m.net_amt,
	m.adv_amt,
	m.net_payable,
	m.acct_id,
	m.bill_no,
	m.loc_id,
	i.description stock_name,
	d.particulars,
    d.qty,
	ifnull(ip.rate,i.s_rate) rate,
	d.itemtot,
	d.disc_amt,
	d.lineitem,
	p.ntn,
	p.stax_no,
	m.bill_no,
	i.staxp,
	if(ifnull(i.staxp,0)=0,0,if(p.stax_no='',3,0)) sedp
	FROM $table m 
LEFT JOIN $tabledet d ON m.comp_id = d.comp_id and m.year_id = d.year_id and m.voucher_id = d.voucher_id
LEFT JOIN v_party p ON m.acct_id = p.acct_id
LEFT JOIN item i ON i.stock_code = d.stock_code
LEFT JOIN item_party ip ON d.stock_code = ip.stock_code
WHERE d.voucher_id = '$base_voucher_id' AND m.comp_id = '$comp_id'
ORDER BY d.lineitem/1";
        $item_result = $dbcon->prepare($item_query);
        $item_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

//echo $item_query;

// Create empty array to hold query results
$someArray = [];
// Loop through query and push results into $someArray;

while ($item_row = $item_result->fetch(PDO::FETCH_ASSOC)) {

    $stax_no = $item_row['stax_no'];
    $staxp = $item_row['staxp'];
    $rate = $item_row['rate'];
    $qty = $item_row['qty'];

    $sedp = $item_row['sedp'];

    $add_staxp = $sedp;
    $total_taxp = ($staxp + $add_staxp);
    $stax_rate = ($rate * $qty) *  (($staxp + $add_staxp) / 100);
    $item_tot = ($rate * $qty)  + $stax_rate;

    $tot_stax_rate += round($stax_rate, $amt_decimals);
    $itemtot  =  round($item_tot, $amt_decimals);

    $q_tot  +=  ($item_row['qty']);
    $g_total += $item_tot;

    /*if($stax_no == '')
    {
        $add_staxp = 3;
        $total_taxp = ($staxp + $add_staxp);
        $stax_rate = ($rate * $qty) *  (($staxp + $add_staxp) / 100);
        $item_tot = ($rate * $qty)  + $stax_rate;
    }
    else
    {
        $add_staxp = 0;
        $total_taxp = $staxp;
        $stax_rate = ($rate * $qty) *  ($staxp) / 100;
        $item_tot = ($rate * $qty)  + $stax_rate;
    }*/

    array_push($someArray, [
        'voucher_date'   => format_date_yyyy($item_row['voucher_date']),
        'acct_id'   => $item_row['acct_id'],
        'net_amt'   => ($item_row['net_amt']),
        'adv_amt'   => ($item_row['adv_amt']),
        'net_payable'   => ($item_row['net_payable']),
        'bill_no'   => ($item_row['bill_no']),
        'loc_id'   => ($item_row['loc_id']),
        'cont_id'   => ($item_row['cont_id']),
        'ntn'   => ($item_row['ntn']),
        'stax_no'   => ($item_row['stax_no']),

        'add_staxp'   => $add_staxp,
        'total_taxp'   => $total_taxp,
        'stax_rate'   => round($stax_rate, $rate_decimals),
        'item_tot'   => round($item_tot, $amt_decimals),
        'tot_stax_rate'   => round($tot_stax_rate, $amt_decimals),
        'q_tot'   => $q_tot,
        'grandtot'   => round($g_total,$amt_decimals),

        'lineitem'   => $item_row['lineitem'],
        'stock_code'   => $item_row['stock_code'],
        'stock_name'   => $item_row['stock_name'],
        'particulars'   => $item_row['particulars'],
        'color_id'   => $item_row['color_id'],
        'color_name'   => $item_row['color_name'],
        'size_id'   => $item_row['size_id'],
        'size'   => $item_row['size'],
        'pack_size'   => ($item_row['pack_size']),
        'pack_qty'   => ($item_row['pack_qty']),
        'qty'   => ($item_row['qty']),
        'rate'   => round($item_row['rate']),
        'itemtot'   => round($item_row['itemtot']),
        'discp'   => ($item_row['discp']),
        'disc_amt'   => ($item_row['disc_amt']),
        'staxp'   => ($item_row['staxp']),
        'discount'   => ($item_row['discount']),
    ]);
}

// Convert the Array to a JSON String and echo it
$someJSON = json_encode($someArray);
echo $someJSON;
?>