<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");
require_once("fpdf/fpdf.php");
if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}


class PDF extends FPDF
{
    /************START PAGE HEADER*********/
    function Header()
    {
        include("include/dbconnect.php");

        $rep_name = 'PURCHASE INVOICE';

        $this->SetFont('Arial', 'B', 18);
        $this->SetFont('Arial', 'U', 18);
        $this->Cell(0, 10, $rep_name, 0, 0, 'C');
        $this->Ln(10);
        //        $this->Ln(10);

    }
}


$pdf = new PDF();

$pdf->AddPage("P");


$comp_id = clean_data($_SESSION["comp_id"]);
$year_id = clean_data($_SESSION["year_id"]);

$comp_name = find_value('company', 'comp_name', " and comp_id='$comp_id'");
$phone = find_value('company', 'phone', " and comp_id='$comp_id'");
$address = find_value('company', 'add_line1', " and comp_id='$comp_id'");
$add_line2 = find_value('company', 'add_line2', " and comp_id='$comp_id'");
$ntn = find_value('company', 'ntn', " and comp_id='$comp_id'");

$pdf->SetFont('Arial', 'BIU', 24);

$from_date = clean_data($_GET['from_date']);
$change_from_date = strtotime($from_date);
$new_from_date = date('Y-m-d', $change_from_date);

$to_date = clean_data($_GET['to_date']);
$change_to_date = strtotime($to_date);
$new_to_date = date('Y-m-d', $change_to_date);

$v_id = clean_data($_GET['v_id']);
$_SESSION["v_id"] = $v_id;

$and = "";
$and .= " and v.comp_id = '$comp_id'";

if (!empty($v_id)) {
    $and .= " and v.voucher_id = '$v_id'";
    $and .= " and v.year_id = '$year_id'";
} else {
    $and .= " and v.voucher_date between '$new_from_date' and '$new_to_date'";
}

try {
    $voucher_query =  "SELECT v.acct_id, v.voucher_id, v.bill_no, v.voucher_date, c.comp_name, c.add_line1,c.phone,c.email,
                              c.stax_no, c.ntn, p.acct_name party_name, p.address add_line1, p.city, c.phone c_phone, p.phone, p.ntn party_ntn, p.stax_no party_stax_no, p.cnic,
	v.dc_amt,
	v.net_amt,
	v.adv_amt,
	v.net_payable
                        FROM pl_invoice v 
                        LEFT JOIN company c ON c.comp_id = v.comp_id
                        LEFT JOIN v_party p ON p.acct_id = v.acct_id
                        WHERE 1=1  $and
                        ORDER BY v.bill_no
                       ";

    //echo $voucher_query;
    $voucher_result = $dbcon->prepare($voucher_query);
    $voucher_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}


while ($report_row = $voucher_result->fetch(PDO::FETCH_ASSOC)) {

    $voucher_id = $report_row['voucher_id'];
    $phone = $report_row['c_phone'];

    $ntn = $report_row['ntn'];
    $stax_no = $report_row['stax_no'];

    $party_name = $report_row['party_name'];
    $p_address = $report_row['add_line1'];
    $p_city = $report_row['city'];
    $p_phone = $report_row['phone'];
    $party_ntn = $report_row['party_ntn'];
    $party_stax_no = $report_row['party_stax_no'];
    $cnic = $report_row['cnic'];


    $pdf->Ln(10);

    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(150, 10, 'Inv No: ' . ($report_row['bill_no']), 0);
    $pdf->SetFont('Arial', '', 9);
    $pdf->Cell(10);
    $pdf->Cell(5, 10, 'Inv Date: ' . format_date($report_row['voucher_date']) . '', 0);
    $pdf->Ln(15);
    $pdf->SetFont('Arial', 'B', 11);
    $pdf->Cell(70, 8, '', 0);
    $pdf->SetLeftMargin('10');
    $pdf->Ln(1);



    /***********************START SUPPLIER BLOCK******************/
    $pdf->SetFont('Arial', 'B', 14);

    $pdf->Cell(1);
    $pdf->setFillColor(230, 230, 230);
    $pdf->Cell(95, 10, 'BUYER', 1, 0, 'C', true);
    $pdf->Cell(2);
    $pdf->setFillColor(230, 230, 230);
    $pdf->Cell(95, 10, 'SUPPLIER', 1, 1, 'C', true);

    $pdf->SetFont('Arial', '', 8);
    //SYPPLIER NAME
    $pdf->Ln(10);
    $pdf->Cell(95, 0, 'Name:   ', 0, 1, 'L');
    $pdf->Cell(12);
    $pdf->Cell(95, 0, $comp_name, 0, 1, 'L');
    $pdf->Cell(12);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');

    //BUYER NAME
    $pdf->Cell(97);
    $pdf->Cell(95, 0, 'Name:', 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, $party_name, 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');


    $pdf->Ln(2);

    //SUPPLIER ADDRESS
    $pdf->Ln(10);
    $pdf->Cell(95, 0, 'Address:', 0, 1, 'L');
    $pdf->Cell(12);
    $pdf->Cell(95, 0, substr($address, 0, 50), 0, 1, 'L');


    $pdf->Cell(97);
    $pdf->Cell(95, 0, 'Address:', 0, 1, 'L');


    $pdf->Cell(110);
    $pdf->Cell(95, 0, $p_address, 0, 1, 'L');

    $pdf->Cell(12);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');

    $pdf->Cell(110);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');


    $pdf->Ln(10);
    $pdf->Cell(95, 0, 'City:', 0, 1, 'L');
    $pdf->Cell(12);
    $pdf->Cell(95, 0, substr($add_line2, 0, 50), 0, 1, 'L');


    $pdf->Cell(97);
    $pdf->Cell(95, 0, 'City:', 0, 1, 'L');


    $pdf->Cell(110);
    $pdf->Cell(95, 0, $p_city, 0, 1, 'L');

    $pdf->Cell(12);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');

    $pdf->Cell(110);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');


    //BUYER ADDRESS


    $pdf->Ln(2);

    //SUPPLIER PHONE
    $pdf->Ln(10);
    $pdf->Cell(95, 0, 'Phone:', 0, 1, 'L');
    $pdf->Cell(12);
    $pdf->Cell(95, 0, $phone, 0, 1, 'L');
    $pdf->Cell(12);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');


    //BUYER PHONE
    $pdf->Cell(97);
    $pdf->Cell(95, 0, 'Phone:', 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, $p_phone, 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');



    $pdf->Ln(2);

    //SUPPLIER NTN
    $pdf->Ln(10);
    $pdf->Cell(95, 0, 'NTN:', 0, 1, 'L');

    //BUYER NTN
    $pdf->Cell(97);
    $pdf->Cell(95, 0, 'NTN:', 0, 1, 'L');

    $pdf->Cell(12);
    $pdf->Cell(95, 0, $ntn, 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, $party_ntn, 0, 1, 'L');

    $pdf->Cell(12);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');

    $pdf->Cell(110);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');




    //SUPPLIER SALE TAX
    $pdf->Ln(10);
    $pdf->Cell(95, 0, 'S TAX#:', 0, 1, 'L');
    $pdf->Cell(97);
    $pdf->Cell(95, 0, 'S TAX#:', 0, 1, 'L');


    $pdf->Cell(12);
    $pdf->Cell(95, 0, $stax_no, 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, $party_stax_no, 0, 1, 'L');



    $pdf->Cell(12);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');




    $pdf->Ln(2);

    //SUPPLIER CNIC
    $pdf->Ln(10);
    $pdf->Cell(95, 0, '', 0, 1, 'L');
    $pdf->Cell(12);
    $pdf->Cell(95, 0, '', 0, 1, 'L');
    $pdf->Cell(14);
    $pdf->Cell(95, 0, '', 0, 1, 'L');


    //BUYER CNIC
    $pdf->Cell(95, 0, 'CNIC:', 0, 1, 'L');


    $pdf->Cell(97);
    $pdf->Cell(95, 0, 'CNIC:', 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, $cnic, 0, 1, 'L');

    $pdf->Cell(12);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');
    $pdf->Cell(110);
    $pdf->Cell(95, 0, '____________________________________________________', 0, 1, 'L');

    $pdf->Ln(5);


    /***********************END SUPPLIER BLOCK******************/

    /*****************END MASTER TABLE QUERY*****************/

    $pdf->Cell(1);
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(11, 8, 'Sr', 1);
    $pdf->Cell(20, 8, 'Stock Code', 1, 0, 'C');
    $pdf->Cell(70, 8, 'Stock Name', 1);
    $pdf->Cell(30, 8, 'Qty', 1, 0, 'R');
    $pdf->Cell(30, 8, 'Rate', 1, 0, 'R');
    $pdf->Cell(30, 8, 'Amount', 1, 0, 'R');
    $pdf->Ln(8);
    $pdf->SetFont('Arial', '', 8);



    try {
        $vd_query =  "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	d.qty*d.rate ex_value,
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount
 	FROM pl_invoice v 
 	LEFT JOIN pl_invoicedet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id and v.year_id=d.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = v.comp_id  
 	
 	WHERE 1=1 $and and v.voucher_id='$voucher_id'";

        //echo $vd_query;

        $vd_result = $dbcon->prepare($vd_query);
        $vd_result->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    $sr = "";
    $tot_ex_value = 0;
    $tot_r_stax = 0;
    $tot_add_stax = 0;
    $tot_stax = 0;
    $tot_r_stax = 0;
    $tot_itemtot = 0;
    $tot_qty = 0;
    $total_stax = "";

    while ($rd_row = $vd_result->fetch(PDO::FETCH_ASSOC)) {

        $tot_ex_value += $rd_row['ex_value'];
        $tot_itemtot += $rd_row['itemtot'];
        $tot_qty += $rd_row['qty'];

        $sr += 1;
        $pdf->Cell(1);
        $pdf->Cell(11, 8, $sr . '.', 1);
        $pdf->Cell(20, 8, $rd_row['stock_code'], 1, 0, 'C');
        $pdf->Cell(70, 8, $rd_row['description'], 1);
        $pdf->Cell(30, 8, format_number_pdf($rd_row['qty'], 0), 1, 0, 'R');
        $pdf->Cell(30, 8, format_number_pdf($rd_row['rate'], 2), 1, 0, 'R');
        $pdf->Cell(30, 8, format_number_pdf($rd_row['itemtot'], 2), 1, 0, 'R');

        $pdf->Ln(8);
    }

    while ($sr < 10) {
        $sr += 1;
        $pdf->Cell(1);
        $pdf->Cell(11, 8, $sr . '.', 1);
        $pdf->Cell(20, 8, '', 1);
        $pdf->Cell(70, 8, '', 1);
        $pdf->Cell(30, 8, '', 1);
        $pdf->Cell(30, 8, '', 1);
        $pdf->Cell(30, 8, '', 1);
        $pdf->Ln(8);
    }

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(80);
    $pdf->Cell(23, 8, 'Total:', 0, 0, 'R');
    $pdf->Cell(10);
    $pdf->Cell(30, 8, format_number_pdf($tot_qty, 0), 0, 0, 'C');
    $pdf->Cell(20);
    $pdf->Cell(29, 8, format_number_pdf($tot_itemtot, 2), 0, 0, 'R');

    $pdf->Ln(4);
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(80);
    $pdf->Cell(23, 8, 'Freight:', 0, 0, 'R');
    $pdf->Cell(10);
    $pdf->Cell(30);
    $pdf->Cell(20);
    $pdf->Cell(29, 8, format_number_pdf($report_row['dc_amt'], 2), 0, 0, 'R');

    $pdf->Ln(4);
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(80);
    $pdf->Cell(23, 8, 'Invoice Amount:', 0, 0, 'R');
    $pdf->Cell(10);
    $pdf->Cell(30);
    $pdf->Cell(20);
    $pdf->Cell(29, 8, format_number_pdf($report_row['net_amt'], 2), 0, 0, 'R');

    $pdf->Ln(4);
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(80);
    $pdf->Cell(23, 8, 'Payment:', 0, 0, 'R');
    $pdf->Cell(10);
    $pdf->Cell(30);
    $pdf->Cell(20);
    $pdf->Cell(29, 8, format_number_pdf($report_row['adv_amt'], 2), 0, 0, 'R');

    $pdf->Ln(4);
    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(80);
    $pdf->Cell(23, 8, 'Balance:', 0, 0, 'R');
    $pdf->Cell(10);
    $pdf->Cell(30);
    $pdf->Cell(20);
    $pdf->Cell(29, 8, format_number_pdf($report_row['net_payable'], 2), 0, 0, 'R');

    $pdf->Ln(8);

    $nw = new NumbersToWords();

    $pdf->SetFont('Arial', 'B', 8);
    $pdf->Cell(15, 8, 'Amount : Rs. ', 0);
    $pdf->SetFont('Arial', 'U', 8);
    $pdf->Cell(3);
    $pdf->Cell(50, 8, strtoupper($nw->convert($report_row['net_payable'])) . ' ONLY', 0);

    if (empty($_SESSION["v_id"]))
        $pdf->AddPage("P");
}
$pdf->Output();
