<?php
session_start();
include("../include/dbconnect.php");
include("../include/functions.php");
//include("../include/sms_function.php");



/***************** START ADD NEW CATEGORY*********************/
if ($_POST['action'] == "add_cat") {

    $cat_id = clean_data($_POST['acct_id']);
    $cat_name = clean_data($_POST['acct_name']);
    $n_acct_id = clean_data($_POST['n_acct_id']);

    try {
        $s_query = "INSERT INTO prod_cat (cat_id, cat_name, acct_id) VALUES (?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cat_id, $cat_name, $n_acct_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW CATEGORY*********************/



/***************** START ADD NEW CATEGORY*********************/
if ($_POST['action'] == "short_add_cat") {

    $cat_id = clean_data($_POST['acct_id']);
    $cat_name = clean_data($_POST['acct_name']);


    try {
        $s_query = "INSERT INTO prod_cat (cat_id, cat_name) VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cat_id, $cat_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


    $query =  "SELECT c.cat_id, c.cat_name FROM prod_cat c";
    $result = $dbcon->prepare($query);
    $result->bindColumn(1, $cat_id);
    $result->bindColumn(2, $cat_name);
    if ($result->execute()) {

        $ouput = array();
        while ($result->fetch()) {

            $ouput[] = array("cat_id" => $cat_id, "cat_name" => $cat_name);
        }

        echo json_encode($ouput);
    }
}
/***************** END ADD NEW CATEGORY*********************/





/***************** START ADD NEW NEWS*********************/
if ($_POST['action'] == "add_news") {
    $post_date = clean_data($_POST['post_date']);
    $exp_date = clean_data($_POST['exp_date']);
    $news = clean_data($_POST['news']);
    $comp_id = clean_data($_POST['comp_id']);



    try {
        $s_query = "INSERT INTO announcement (announcement, post_date, expiry_date, comp_id)VALUES (?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($news, $post_date, $exp_date, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW NEWS*********************/


/***************** START EDIT NEWS*********************/
if ($_POST['action'] == "edit_news") {
    $post_date = clean_data($_POST['post_date']);
    $exp_date = clean_data($_POST['exp_date']);
    $news = clean_data($_POST['news']);
    $hd_id = clean_data($_POST['hd_id']);


    try {

        $s_query = "UPDATE announcement SET announcement = ?, post_date = ?, expiry_date = ? 
			WHERE  id = ?";

        $results = $dbcon->prepare($s_query);
        $results->execute(array($news, $post_date, $exp_date, $hd_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END EDIT NEWS*********************/

/***************** START ADD NEW COLOR*********************/
if ($_POST['action'] == "add_color") {
    $color_id = clean_data(strtoupper($_POST['color_id']));
    $color_name = clean_data(strtoupper($_POST['color_name']));

    try {
        $s_query =  "INSERT INTO color (color_id, description)VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($color_id, $color_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW COLOR*********************/

/***************** START ADD NEW SALE PERSON*********************/
if ($_POST['action'] == "add_sp") {
    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = clean_data($_POST['acct_name']);
    $comp_id = clean_data($_POST['comp_id']);

    try {
        $s_query =  "INSERT INTO sp (acct_id, acct_name, comp_id)
VALUES (?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($acct_id, $acct_name, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW SALE PERSON*********************/

/***************** START ADD NEW ITEM*********************/
if ($_POST['action'] == "add_item") {
    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = ($_POST['acct_name']);
    $o_qty = clean_data($_POST['o_qty']);
    $s_rate = clean_data($_POST['s_rate']);
    $p_rate = clean_data($_POST['p_rate']);
    $staxp = clean_data($_POST['staxp']);
    $cat_id = clean_data($_POST['cat_id']);
    $type_id = clean_data($_POST['type_id']);
    $party_stock_code = clean_data($_POST['party_stock_code']);
    $unit_name = clean_data($_POST['unit_name']);
    $specs = clean_data($_POST['specs']);
    $mol = clean_data($_POST['mol']);
    $mol_qty = clean_data($_POST['mol_qty']);
    $p_acct_id = clean_data($_POST['p_acct_id']);
    $di_no = clean_data($_POST['di_no']);
    $part_no = clean_data($_POST['part_no']);
    $item_no = clean_data($_POST['item_no']);
    $po_no = clean_data($_POST['po_no']);
    $dealer_rate = clean_data($_POST['dealer_rate']);
    $msrp = clean_data($_POST['msrp']);
    $imp_exp = clean_data($_POST['imp_exp']);

    if ($mol == 'on') {
        $new_mol = 'Y';
    } else {
        $new_mol = 'N';
    }

    try {
        $s_query =  "INSERT INTO item (stock_code, description, o_qty, s_rate, p_rate, staxp, cat_id, type_id, party_stock_code, unit, specs, mol, mol_qty,dealer_rate, msrp, imp_exp)
                     VALUES (?, ?, ?, ?, ?, ?, ?, ?, ? , ?, ?, ?, ?, ? , ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($acct_id, $acct_name, $o_qty, $s_rate, $p_rate, $staxp, $cat_id, $type_id, $party_stock_code, $unit_name, $specs, $new_mol, $mol_qty, $dealer_rate, $msrp, $imp_exp));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    if (isset($p_acct_id)) {

        try {
            $s_query = "INSERT INTO item_party (acct_id, stock_code, part_no, item_no, po_no, di_no, rate)
VALUES (?, ?, ?, ?, ?, ?, ?)";
            $results = $dbcon->prepare($s_query);
            $results->execute(array($p_acct_id, $acct_name, $part_no, $item_no, $po_no, $di_no, $s_rate));
        } catch (PDOException $e) {
            echo "Error : " . $e->getMessage();
        }
    }
}
/***************** END ADD NEW ITEM*********************/




/***************** START ADD NEW ITEM IM*********************/
if ($_POST['action'] == "add_item_im") {
    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = addslashes($_POST['acct_name']);
    $s_rate = clean_data($_POST['s_rate']);
    $staxp = clean_data($_POST['staxp']);
    $sedp = clean_data($_POST['sedp']);
    $p_acct_id = clean_data($_POST['p_acct_id']);
    $di_no = clean_data($_POST['di_no']);
    $part_no = clean_data($_POST['part_no']);
    $item_no = clean_data($_POST['item_no']);
    $po_no = clean_data($_POST['po_no']);

    try {
        $s_query =  "INSERT INTO item (stock_code, description, s_rate, staxp, sedp)
VALUES (?, ?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($acct_id, $acct_name, $s_rate, $staxp, $sedp));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    try {
        $s_query = "INSERT INTO item_party (acct_id, stock_code, part_no, item_no, po_no, di_no, rate)
VALUES (?, ?, ?, ?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($p_acct_id, $acct_name, $part_no, $item_no, $po_no, $di_no, $s_rate));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW ITEM IM*********************/

/***************** START ADD FIRST LEVEL ACCOUNT*********************/
if ($_POST['action'] == "first_level_form") {
    $first_level = clean_data($_POST['first_level']);
    $second_level = clean_data($_POST['second_level']);
    $acct_name = clean_data($_POST['acct_name']);
    $acct_type = clean_data($_POST['acct_type']);
    $reg_id = clean_data($_POST['reg_id']);
    $address = clean_data($_POST['address']);
    $email = clean_data($_POST['email']);
    $phone_no = clean_data($_POST['phone_no']);
    $credit_limit = clean_data($_POST['credit_limit']);
    $ntn = clean_data($_POST['ntn']);
    $stax_no = clean_data($_POST['stax_no']);
    $city_id = clean_data($_POST['city_id']);
    $sp_id = clean_data($_POST['sp_id']);
    $acct_date = clean_data($_POST['acct_date']);
    $cnic_no = clean_data($_POST['cnic_no']);



    //MAXIMUM party ID CHK QUERY
    try {
        $Maxquery =  "SELECT
          LPAD( IFNULL( max( substr( n.acct_id, 09 )), 0 ) + 1, 4, '0' ) thired_acct_id 
      FROM
          nom n 
      WHERE
          
           substr( acct_id, 1, 6 ) = '$second_level'
          AND substr( acct_id, 1, 2 ) = '$first_level'";
        $max_query = $dbcon->prepare($Maxquery);
        $max_query->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
    //echo $Maxquery;

    $row_max = $max_query->fetch(PDO::FETCH_OBJ);
    $thired_acct_id = $row_max->thired_acct_id;

    $acct_id = $second_level . $thired_acct_id;

    /*   try {
        $s_query =  "INSERT INTO nom (acct_id, acct_name, acct_type)
VALUES ('$acct_id', '$acct_name', '$acct_type')";
        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }*/


    try {
        $s_query =  "INSERT INTO nom (acct_id, acct_name, address, reg_id, email, phone, credit_limit, ntn, stax_no, city_id, sp_id, acct_type, acct_date, cnic)
VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($acct_id, $acct_name, $address, $reg_id, $email, $phone_no, $credit_limit, $ntn, $stax_no, $city_id, $sp_id, $acct_type, $acct_date, $cnic_no));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }


    //   $acctid_l3 =  substr($acct_id,-4) + 1;

    //     $acct_id = substr($acct_id,0,6).str_pad($acctid_l3,4,"0", STR_PAD_LEFT);
}
/***************** END ADD FIRST LEVEL ACCOUNT*********************/

/***************** START ADD REGION*********************/
if ($_POST['action'] == "add_reg") {
    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = clean_data($_POST['acct_name']);
    try {
        $s_query =  "INSERT INTO regions (reg_id, reg_name)
VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($acct_id, $acct_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD REGION*********************/



/***************** START ADD PARTY ADDRESS*********************/
if ($_POST['action'] == "party_address_add") {
    $p_acct_id = clean_data($_POST['p_acct_id']);
    $p_acct_name = clean_data($_POST['p_acct_name']);
    $reg_id = clean_data($_POST['reg_id']);
    $address = clean_data($_POST['address']);
    $email = clean_data($_POST['email']);
    $phone_no = clean_data($_POST['phone_no']);
    try {
        $s_query =  "INSERT INTO nom_add (acct_id, add_line1, reg_id, email, phone)
VALUES (?, ?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($p_acct_id, $address, $reg_id, $email, $phone_no));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD PARTY ADDRESS*********************/




/***************** START ADD NEW CARGO*********************/
if ($_POST['action'] == "add_cargo") {


    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = clean_data($_POST['acct_name']);


    try {
        $s_query = "INSERT INTO cargo (acct_id, acct_name)VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($acct_id, $acct_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW CARGO*********************/

/***************** START ADD NEW SMS SENT*********************/
if ($_POST['action'] == "add_sms") {


    include("../include/sms_function.php");

    $datetime = date('Y-m-d H:i:s');

    $sms_id = clean_data($_POST['acct_id']);
    $phone_no = clean_data($_POST['phone_no']);
    $message = clean_data($_POST['message']);

    $send = sendSmsMessage($message, $phone_no, 'KafelTrader', '');

    if ($send == true) {
        echo 'Message Hase Been Sent';
    } else {
        echo 'ERROR';
    }




    try {
        $s_query = "INSERT INTO sms_sent (sms_id, phone_no, message, post_date)VALUES (?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($sms_id, $phone_no, $message, $datetime));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}

/***************** END ADD NEW SMS SENT*********************/

/***************** START ADD NEW LOCATIONS*********************/
if ($_POST['action'] == "add_loc") {


    $cat_id = clean_data($_POST['acct_id']);
    $cat_name = clean_data($_POST['acct_name']);


    try {
        $s_query = "INSERT INTO location (loc_id, loc_name)VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cat_id, $cat_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW LOCATION*********************/




/***************** START ADD NEW BRAND*********************/
if ($_POST['action'] == "add_brand") {


    $cat_id = clean_data($_POST['acct_id']);
    $cat_name = clean_data($_POST['acct_name']);


    try {
        $s_query = "INSERT INTO prod_type (type_id, type_name)VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cat_id, $cat_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW LOCATION*********************/



/***************** START ADD NEW BRAND FROM ITEM FILE*********************/
if ($_POST['action'] == "short_add_brand") {


    $brand_acct_id = clean_data($_POST['brand_acct_id']);
    $brand_acct_name = clean_data($_POST['brand_acct_name']);


    try {
        $s_query = "INSERT INTO prod_type (type_id, type_name)VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($brand_acct_id, $brand_acct_name));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    $query =  "SELECT c.type_id, c.type_name FROM prod_type c";
    $result = $dbcon->prepare($query);
    $result->bindColumn(1, $brand_acct_id);
    $result->bindColumn(2, $brand_acct_name);
    if ($result->execute()) {

        $ouput = array();
        while ($result->fetch()) {

            $ouput[] = array("type_id" => $brand_acct_id, "type_name" => $brand_acct_name);
        }

        echo json_encode($ouput);
    }
}
/***************** START ADD NEW BRAND FROM ITEM FILE*********************/


















/***************** START SYSTEM UPDATE PRINT REMARKS*********************/
if ($_POST['action'] == "add_print_remarks") {

    $print_remarks = clean_data($_POST['print_remarks']);

    try {

        $s_query =  "UPDATE system SET print_remarks = '$print_remarks' WHERE  comp_id = '$comp_id'";

        $results = $dbcon->prepare($s_query);
        $results->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END SYSTEM UPDATE PRINT REMARKS*********************/




/***************** START SYSTEM UPDATE PRINT REMARKS*********************/
if ($_POST['action'] == "system") {

    $compName = clean_data($_POST['comp_name']);
    $currency_sign = clean_data($_POST['currency_sign']);
    $qty_decimal = clean_data($_POST['qty_decimal']);
    $rate_decimal = clean_data($_POST['rate_decimal']);
    $print_size = clean_data($_POST['print_size']);
    $date_format = clean_data($_POST['date_format']);
    $tax_model = clean_data($_POST['tax_model']);
    $signout_delay = clean_data($_POST['signout_delay']);
    $staxp = clean_data($_POST['staxp']);



    try {

        $s_query =  "UPDATE system SET  currency_sign = '$currency_sign', qty_decimal = '$qty_decimal',
rate_decimals = '$rate_decimal',  date_format = '$date_format', tax_model = '$tax_model', signout_delay = '$signout_delay', staxp = '$staxp'";



        $results = $dbcon->prepare($s_query);
        $results->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END SYSTEM UPDATE PRINT REMARKS*********************/





/***************** START SYSTEM UPDATE ACCOUNTS*********************/
if ($_POST['action'] == "system_account") {

    $cash_id = clean_data($_POST['cash_id']);
    $bank_id = clean_data($_POST['bank_id']);
    $creditor_id = clean_data($_POST['creditor_id']);
    $stax_id = clean_data($_POST['stax_id']);
    $disc_id = clean_data($_POST['disc_id']);
    $debtor_id = clean_data($_POST['debtor_id']);
    $adv_id = clean_data($_POST['adv_id']);
    $stax_id_sl = clean_data($_POST['stax_id_sl']);
    $disc_id_sl = clean_data($_POST['disc_id_sl']);
    $adv_id_sl = clean_data($_POST['adv_id_sl']);
    $stock_id = clean_data($_POST['stock_id']);
    $turnover_id = clean_data($_POST['turnover_id']);
    $cogs_id = clean_data($_POST['cogs_id']);



    try {

        $s_query =  "UPDATE system SET  cash_id = '$cash_id', bank_id = '$bank_id',
creditor_id = '$creditor_id',  stax_id = '$stax_id', disc_id = '$disc_id', debtor_id = '$debtor_id'
,adv_id = '$adv_id', stax_id_sl = '$stax_id_sl', disc_id_sl = '$disc_id_sl', adv_id_sl = '$adv_id_sl', 
stock_id = '$stock_id', turnover_id = '$turnover_id', cogs_id = '$cogs_id'";



        $results = $dbcon->prepare($s_query);
        $results->execute(array());
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END SYSTEM UPDATE ACCOUNTS*********************/







/***************** START SYSTEM EMAIL SETTINGS UPDATE*********************/
if ($_POST['action'] == "system_email_settings") {

    $from_email = clean_data($_POST['from_email']);
    $email_subject = clean_data($_POST['email_subject']);

    $compName = $_SESSION["COMP_NAME"];


    try {

        $s_query =  "UPDATE system SET from_email = ? , email_subject = ?";

        $results = $dbcon->prepare($s_query);
        $results->execute(array($from_email, $email_subject));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END SYSTEM EMAIL SETTINGS UPDATE*********************/




/***************** START SYSTEM UPDATE NOTES*********************/
if ($_POST['action'] == "system_notes") {

    $print_remarks = clean_data($_POST['print_remarks']);
    $order_print_remarks = clean_data($_POST['order_print_remarks']);

    $compName = $_SESSION["COMP_NAME"];


    try {

        $s_query =  "UPDATE system SET print_remarks = '$print_remarks' , order_print_remarks = '$order_print_remarks'";

        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}

/***************** END SYSTEM UPDATE NOTES*********************/





/***************** END SYSTEM EMAIL SETTINGS UPDATE*********************/




/***************** START SYSTEM CLOSING DATE*********************/
if ($_POST['action'] == "closing_date") {
    $closing_date = clean_data($_POST['closing_date']);

    $voucherDate = clean_data($_POST['closing_date']);
    $change_date = strtotime($voucherDate);
    $closing_date = date('Y-m-d', $change_date);

    $compName = $_SESSION["COMP_NAME"];


    try {

        $s_query =  "UPDATE system SET date_close = '$closing_date'";

        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END SYSTEM CLOSING DATE*********************/





/***************** START ADD SUPPLIER*********************/
if ($_POST['action'] == "add_supplier") {

    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = clean_data($_POST['acct_name']);
    $acct_type = clean_data($_POST['acct_type']);
    $reg_id = clean_data($_POST['reg_id']);
    $address = clean_data($_POST['address']);
    $email = clean_data($_POST['email']);
    $phone_no = clean_data($_POST['phone_no']);
    $credit_limit = clean_data($_POST['credit_limit']);
    $ntn = clean_data($_POST['ntn']);
    $stax_no = clean_data($_POST['stax_no']);
    $city_id = clean_data($_POST['city_id']);
    $sp_id = clean_data($_POST['sp_id']);
    $acct_date = clean_data($_POST['acct_date']);
    $cnic_no = clean_data($_POST['cnic_no']);

    $new_acct_id = '131000' . $acct_id;

    try {
        $s_query =  "INSERT INTO nom (acct_id, acct_name, address, reg_id, email, phone, credit_limit, ntn, stax_no, city_id, sp_id, acct_type, acct_date, cnic)
VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($new_acct_id, $acct_name, $address, $reg_id, $email, $phone_no, $credit_limit, $ntn, $stax_no, $city_id, $sp_id, $acct_type, $acct_date, $cnic_no));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }




    /*try {
        $s_query =  "INSERT INTO nom (acct_id, acct_name)
VALUES ('$new_acct_id', '$acct_name')";
        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }*/
}
/***************** END ADD SUPPLIER*********************/



/***************** START ADD SUPPLIER*********************/
if ($_POST['action'] == "add_customer") {

    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = clean_data($_POST['acct_name']);
    $acct_type = clean_data($_POST['acct_type']);
    $reg_id = clean_data($_POST['reg_id']);
    $address = clean_data($_POST['address']);
    $email = clean_data($_POST['email']);
    $phone_no = clean_data($_POST['phone_no']);
    $credit_limit = clean_data($_POST['credit_limit']);
    $ntn = clean_data($_POST['ntn']);
    $stax_no = clean_data($_POST['stax_no']);
    $city_id = clean_data($_POST['city_id']);
    $sp_id = clean_data($_POST['sp_id']);
    $acct_date = clean_data($_POST['acct_date']);
    $cnic_no = clean_data($_POST['cnic_no']);

    $new_acct_id = '261000' . $acct_id;


    try {
        $s_query =  "INSERT INTO nom (acct_id, acct_name, address, reg_id, email, phone, credit_limit, ntn, stax_no, city_id, sp_id, acct_type, acct_date, cnic)
VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($new_acct_id, $acct_name, $address, $reg_id, $email, $phone_no, $credit_limit, $ntn, $stax_no, $city_id, $sp_id, $acct_type, $acct_date, $cnic_no));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

}
/***************** END ADD SUPPLIER*********************/



/***************** START ADD EXPENSES*********************/
if ($_POST['action'] == "add_expenses") {

    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = clean_data($_POST['acct_name']);
    $acct_type = clean_data($_POST['acct_type']);

    $new_acct_id = '401000' . $acct_id;



    try {
        $s_query =  "INSERT INTO nom (acct_id, acct_name, acct_type)
VALUES ('$new_acct_id', '$acct_name', '$acct_type')";
        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD EXPENSES*********************/



/***************** START ADD PAYMENT TYPE*********************/
if ($_POST['action'] == "add_payment_type") {

    $acct_id = clean_data($_POST['acct_id']);
    $acct_name = clean_data($_POST['acct_name']);
    $acct_type = clean_data($_POST['acct_type']);

    $new_acct_id = '271000' . $acct_id;



    try {
        $s_query =  "INSERT INTO nom (acct_id, acct_name, acct_type)
VALUES ('$new_acct_id', '$acct_name', '$acct_type')";
        $results = $dbcon->prepare($s_query);
        $results->execute();
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD PAYMENT TYPE*********************/






/***************** START ADD NEW CATEGORY*********************/
if ($_POST['action'] == "add_role") {


    $role_name = clean_data($_POST['acct_name']);


    try {
        $s_query = "INSERT INTO users_role (auth_name, comp_id) VALUES (?, ?)";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($role_name, $comp_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }
}
/***************** END ADD NEW CATEGORY*********************/



/***************** START ADD NEW CATEGORY*********************/
if ($_POST['action'] == "disc_status") {

    $disc_active = clean_data($_POST['disc_active']);
    $comp_id = clean_data($_POST['comp_id']);
    $year_id = clean_data($_POST['year_id']);
    $voucherid = clean_data($_POST['voucherid']);


    try {
        $s_query = "UPDATE sl_discount SET active = '$disc_active' WHERE voucher_id = '$voucherid' and  comp_id = '$comp_id' and year_id = '$year_id' ";
        $results = $dbcon->prepare($s_query);
        $results->execute(array($cat_id, $cat_name, $n_acct_id));
    } catch (PDOException $e) {
        echo "Error : " . $e->getMessage();
    }

    echo $s_query;
}
/***************** END ADD NEW CATEGORY*********************/
