<?php
session_start();
ob_start();
include("include/dbconnect.php");
include("include/functions.php");
require_once("tcpdf/tcpdf.php");


if ($_SESSION['VALID_USER_NAME'] == false) {
    header("location: login");
}

date_default_timezone_set("Asia/Karachi");
$_SESSION['voucher_type'] = clean_data($_GET['voucher_type']);
$voucher_type = clean_data($_SESSION['voucher_type']);
$comp_id = clean_data($_SESSION["comp_id"]);
$year_id = clean_data($_SESSION["year_id"]);

$comp_name = clean_data($_SESSION["COMP_NAME"]);
$phone = clean_data($_SESSION["phone"]);
$address = clean_data($_SESSION["address"]);

$s_date_formt =  find_value('system', 'date_format', '');
$currency_sign = find_value('system', 'currency_sign', '');
$amt_decimals = find_value('system', 'amt_decimals', '');
$qty_decimals = find_value('system', 'qty_decimals', '');

$v_id = clean_data($_GET['v_id']);




// Extend the TCPDF class to create custom Header and Footer
class PDF extends TCPDF
{

    //Page header
    public function Header()
    {

        include("include/dbconnect.php");
        /*****************START VARIABLES***************/
        $comp_id = clean_data($_SESSION["comp_id"]);
        $v_id = $_GET['v_id'];
        $year_id = clean_data($_SESSION["year_id"]);
        $address = clean_data($_SESSION["address"]);
        $phone = clean_data($_SESSION["phone"]);
        $comp_name = clean_data($_SESSION["COMP_NAME"]);


        /*// Logo
        $image_file = K_PATH_IMAGES.'logo_example.jpg';
        $this->Image($image_file, 10, 10, 15, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);
        // Set font
        $this->SetFont('helvetica', 'B', 20);
        // Title
        $this->Cell(0, 15, '<< TCPDF Example 003 >>', 0, false, 'C', 0, '', 0, false, 'M', 'M');*/
    }

    // Page footer
    /*   public function Footer() {
        // Position at 15 mm from bottom
        $this->SetY(-15);
        // Set font
        $this->SetFont('helvetica', 'I', 8);
        // Page number
        $this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
    }*/


    // Page footer
    function Footer()
    {

        $font_cal = TCPDF_FONTS::addTTFfont('tcpdf/fonts/Calibri/Calibri Regular.ttf', 'TrueTypeUnicode', '', 32);

        //if ( $this->PageNo() !== 1 ) {
        $address = clean_data($_SESSION["address"]);
        $phone = clean_data($_SESSION["phone"]);

        $this->SetXY(10, 190);
        $this->SetFont($font_cal, '', 6);
        $this->Cell(0, 3, 'This is computer generated document and does not need any signature.', 0, 0, 'C');

        $this->Line(5, 193, 142, 193);
        $this->SetY(-17);
        $this->SetFont($font_cal, 'B', 7);
        $this->Cell(0, 5, '' . $address, 0, 0, 'C');
        $this->Ln(1);
        $this->Cell(0, 10, '' .  $phone, 0, 0, 'C');
        //$this->Cell( 0, 10, 'Page '.$this->PageNo(), 0, 0, 'R' );

        $this->Ln(9);
        $this->Line(5, 202, 142, 202);
        //$this->SetY( 30 );
        $this->SetFont($font_cal, '', 6);
        $this->Cell(100, 3, '' . "Designed & Developed by SkyzTec" . " " . "923454286996", 0, 0, 'L');


        $this->Cell(0, 3, 'Page ' . $this->getAliasNumPage() . " of " . $this->getAliasNbPages(), 0, 0, 'R');

        //$this->Cell( 0, 10, 'Page '.$this->PageNo(), 0, 0, 'R' );

        //}

    }
}




// create new PDF document
$pdf = new PDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'PDF_PAGE_FORMAT', true, 'UTF-8', false);



/*$width = 420;
$height = 595;
$pageLayout = array($width, $height); //  or array($height, $width)
$pdf = new TCPDF('p', 'pt', $pageLayout, true, 'UTF-8', false);*/
$pdf->SetPrintHeader(false);
//$pdf->SetPrintFooter(true);
$pdf->AddPage('P', 'A5');

$pdf->setFontSubsetting(false);

// convert TTF font to TCPDF format and store it on the fonts folder
//$fontname = TCPDF_FONTS::addTTFfont('pathto/arial.ttf', 'TrueTypeUnicode', '', 96);

// use the font
//$pdf->SetFont($fontname, '', 14, '', false);


//use this to generate the required php and other files
$font_cal = TCPDF_FONTS::addTTFfont('tcpdf/fonts/Calibri/Calibri Regular.ttf', 'TrueTypeUnicode', '', 32);
//$pdf->SetFont($fontname, '', 14, '', false);

$font_cal_bold = TCPDF_FONTS::addTTFfont('tcpdf/fonts/Calibri/Calibri Bold.TTF', 'TrueTypeUnicode', '', 32);



//use this to generate the required php and other files
$arial_fontname = TCPDF_FONTS::addTTFfont('tcpdf/fonts/ARIALBD.TTF', 'TrueTypeUnicode', '', 32);
//$pdf->SetFont($arial_fontname, '', 14, '', false);














// set auto page breaks
//$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

$image_file = 'assets/img/logo/rc/logo_final.jpeg';

$pdf->Image($image_file, 10, 10, 15, '', 'JPG', '', 'T', false, 300, '', false, false, 0, false, false, false);

$and = '';
$and .= " AND v.voucher_id = '$v_id'";
$and .= " and v.comp_id =  '$comp_id' ";



try {
    $sl_detail_query =  "SELECT v.acct_id, v.voucher_id, v.bill_no, v.voucher_date, c.comp_name, c.add_line1 comp_address,c.phone,c.email,
                              c.stax_no, c.ntn, p.acct_name party_name, p.address add_line1, p.city, c.phone c_phone, 
                                p.phone, p.ntn party_ntn, p.stax_no party_stax_no, p.cnic, v.disc_amt,v.emp_id,
	v.dc_amt,
	v.net_amt,
	v.adv_amt,
	v.net_payable,
       v.particulars,
       date_format(v.post_date, \"%h:%i %p\") post_date,
       p2.acct_name bill_type_name
       
       
                        FROM sl_invoice v 
                        LEFT JOIN company c ON c.comp_id = v.comp_id
                        LEFT JOIN v_party p ON p.acct_id = v.acct_id
                        LEFT JOIN v_party p2 ON p2.acct_id = v.bill_type
                        WHERE 1=1  $and
                        ORDER BY v.bill_no
                       ";
    $sl_detail_result = $dbcon->prepare($sl_detail_query);
    $sl_detail_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}

$num_rows = $sl_detail_result->rowCount();
$_SESSION["num_rows"] = $num_rows;
$rowm = $sl_detail_result->fetch(PDO::FETCH_ASSOC);
$voucherId =  $rowm['voucher_id'];



$pdf->SetFont($font_cal_bold, 'B', 14);
$pdf->SetXY(25, 10);
$pdf->Cell(25, 5, $comp_name, '');

$pdf->Ln(5);
$pdf->Cell(15);
$pdf->SetFont($font_cal, 'B', 7);
$pdf->Cell(30, 5, 'A NAME YOU CAN TRUST', 0, 0, 'L');
$pdf->Cell(9);
$pdf->SetFont($font_cal, 'B', 7);
$pdf->Cell(15, 5, 'Since 1999', 0, 0, 'R');
$pdf->SetFont($font_cal, '', 8);
/*$pdf->Cell(75);
$pdf->Cell(60,10,'Time',0,0,'L');*/



$pdf->Ln(1);
$pdf->Cell(15);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(50, 10, 'www.rccpk.com', 0, 0, 'L');
$pdf->Image('assets/img/twitter.png', '46', '19', '4', '4', '', '');
$pdf->Image('assets/img/facebook.png', '52', '19', '4', '4', '', '');
$pdf->Cell(4, 10, 'Raziqchemicals', 0, 0, 'R');



$pdf->Ln(8);
$pdf->Cell(15);
$pdf->SetFont($font_cal, 'B', 6);
$pdf->SetLeftMargin(26);
$html = '<div style=" margin-left: 50px;">Importer. WholeSaler, Retailer, Stockist
        <br>Fragramces, Skin Care, Products, Consmetics Raw Materials</div>';

// output the HTML content
$pdf->writeHTML($html, true, false, true, false, '');


$pdf->SetLeftMargin(10);

/*$pdf->Ln(8);
$pdf->Cell(15);
$pdf->SetFont($font_cal,'',6);
$pdf->MultiCell( 40,3, 'Importer. WholeSaler, Retailer, Stockist Fragramces, Skin Care, Products, Consmetics Raw Materials', 1, '', '');*/


$pdf->SetFont($font_cal, 'B', 8);
$pdf->SetXY(100, 11);
$pdf->Cell(16, 5, 'User:', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->cell(3);
$pdf->Cell(10, 5, $rowm['emp_id'], '');

$pdf->SetFont($font_cal, 'B', 8);
$pdf->SetXY(100, 15);
$pdf->Cell(16, 5, 'Time:', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->cell(3);
$pdf->Cell(10, 5, $rowm['post_date'], '');

$pdf->SetFont($font_cal, 'B', 8);
$pdf->SetXY(100, 19);
$pdf->Cell(16, 5, 'Date:', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->cell(3);
$pdf->Cell(10, 5, $rowm['voucher_date'], '');
$pdf->SetFont($font_cal, 'B', 8);
$pdf->SetXY(100, 23);
$pdf->Cell(16, 5, 'Number:', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->cell(3);
$pdf->Cell(10, 5, $rowm['voucher_id'], '');

$pdf->SetFont($font_cal, 'B', 8);
$pdf->SetXY(100, 27);
$pdf->Cell(14, 5, 'Payment Term:', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->cell(5);
$pdf->Cell(8, 5, $rowm['bill_type_name'], '');



$pdf->ln(2);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(25, 5, 'ESTIMATE', '');

$pdf->SetLineStyle(array('width' => 0.4, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0)));

$pdf->Rect(10, 34, 128, 17, 'D');





$pdf->SetXY(100, 36);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(25, 5, 'Delivery Address :', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->Cell(25, 5, '', '');

$pdf->SetXY(15, 36);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(25, 5, 'Customer :', '');

$pdf->SetFont($font_cal, '', 8);
$pdf->Cell(25, 5, $rowm['party_name'], '');

$pdf->SetXY(15, 40);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(25, 5, 'Address :', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->Cell(25, 5, $rowm['add_line1'], '');

$pdf->SetXY(15, 44);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(25, 5, 'Cell No :', '');
$pdf->SetFont($font_cal, '', 8);
$pdf->Cell(25, 5, $rowm['phone'], '');








$pdf->Ln(8);




$pdf->SetFont($font_cal, 'B', 9);

/*$pdf->Cell(8, 8, 'Sr.', '1',0,'C', '');
$pdf->Cell(52, 15, 'Description', '1','','L', '');
$pdf->Cell(8, 8, 'Unit', '1',0,'C', '');

$current_y = $pdf->GetY();
$current_x = $pdf->GetX(200);
$pdf->MultiCell(20, 8, 'Packing', '1',0,'', '0');
$pdf->Cell(5, 8, 'KG', '1',0,'C', '');
$pdf->Cell(5, 8, 'LTR', '1',0,'C', '');
$pdf->SetXY($current_x + 20, $current_y);

$pdf->Cell(20, 8, 'Price', '1',0,'C', '');
$pdf->Cell(20, 8, 'Amount', '1',0,'C', '');*/


$pdf->SetLineStyle(array('width' => 0.4, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0)));


$pdf->Cell(8, 10, 'Sr.', '1', 0, 'C', '');
$pdf->Cell(52, 10, 'Item Description', '1', 0, 'L', '');
$pdf->Cell(8, 10, 'Unit', '1', 0, 'C', '');
$pdf->Cell(20, 5, 'Packing', '1', 0, 'C', '0');
$pdf->Cell(20, 10, 'Price', '1', 0, 'C', '');
$pdf->Cell(20, 10, 'Amount', '1', 0, 'C', '');
$pdf->Cell(0, 5, '', 0, 1); //dummy line ending, height=5(normal row height) width=09 should be invisible

$pdf->Cell(68, 5, '', 0, 0); //dummy cell to align next cell, should be invisible
$pdf->Cell(10, 5, 'KG', '1', 0, 'C', '');
$pdf->Cell(10, 5, 'LTR', '1', 0, 'C', '');


/*$pdf->Ln(8);



$pdf->Cell(8, 8, 'Sr.', '1',0,'C', '');
$pdf->Cell(52, 8, 'Description', '1',0,'C', '');
$pdf->Cell(8, 8, 'Unit', '1',0,'C', '');
$pdf->Cell(10, 8, 'KG', '1',0,'C', '');
$pdf->Cell(10, 8, 'LTR', '1',0,'C', '');
$pdf->Cell(20, 8, 'Price', '1',0,'C', '');
$pdf->Cell(20, 8, 'Amount', '1',0,'C', '');*/
$pdf->Ln(5);
$pdf->SetFont($font_cal, '', 8);


$and = " AND d.voucher_id = '$v_id'";
$and .= " AND d.comp_id = '$comp_id'";



try {
    $vd_query = "SELECT
	d.stock_code,
	d.particulars,
	d.qty,
	d.rate,
	d.voucher_id,
	i.description,
	d.qty*d.rate ex_value,
	d.itemtot,
	d.lineitem,
	c.comp_name,
	d.comp_id,
	d.discp,
	d.lineitem,
	d.discount
 	FROM sl_invoice v 
 	LEFT JOIN sl_invoicedet d ON v.voucher_id = d.voucher_id and v.comp_id = d.comp_id and v.year_id=d.year_id
	LEFT JOIN item i ON d.stock_code = i.stock_code

	LEFT JOIN company c ON c.comp_id = v.comp_id  
 	
 	WHERE 1=1 $and";
    $vd_result = $dbcon->prepare($vd_query);
    $vd_result->execute(array());
} catch (PDOException $e) {
    echo "Error : " . $e->getMessage();
}




$sr = 0;
$g_tot = 0;
$tot_qty = 0;
$amount_tot = 0;
$qty_tot = 0;
while ($rd_row = $vd_result->fetch(PDO::FETCH_ASSOC)) {

    $g_tot += $rd_row['amount'];
    $tot_qty += $rd_row['qty'];
    $v = $rd_row['voucher_id'];
    $qty_tot += $rd_row['qty'];
    $amount_tot  += $rd_row['itemtot'];
    $sr += 1;

    $pdf->SetFont($font_cal, '', 8);

    $pdf->Cell(8, 5,  $sr, '1', 0, 'C');
    $pdf->Cell(52, 5, $rd_row['description'], '1', 0, 'L');
    $pdf->Cell(8, 5, $rd_row['unit'], '1', 0, 'L');
    $pdf->Cell(10, 5, round($rd_row['qty']), '1', '', 'L');
    $pdf->Cell(10, 5, round($rd_row['qty']), '1', '', 'L');
    $pdf->Cell(20, 5, format_number($rd_row['rate'], $amt_decimals), '1', '', 'R');
    $pdf->Cell(20, 5, format_number($rd_row['itemtot'], $amt_decimals), '1', 0, 'R');
    $pdf->Ln(5);
}






//$pdf->Cell(110, 0, '', 'B',0,'', '');




$pdf->SetFont($font_cal, '', 8);
/*$pdf->Cell(70, 8, '', 0);
$pdf->SetLeftMargin('5');*/

/*****************END MASTER TABLE QUERY*****************/

/*
$f_order_print_remarks = find_value('system', 'order_print_remarks', "");




$html_note =  <<<EOF
<!-- EXAMPLE OF CSS STYLE -->
<style>
    p.note_p {
       
       border: 1px solid black;
       
    }
    </style>
    
    
    
    <p class="note_p">Note: $f_order_print_remarks</p>
EOF;
$pdf->SetRightMargin(78);
$pdf->writeHTML($html_note, true, false, true, true, '');*/
$pdf->SetLineStyle(array('width' => 0.4, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0)));

$pdf->Ln(3);
$current_y = $pdf->GetY();
$current_x = $pdf->GetX(20);


//$f_order_print_remarks = find_value('system', 'order_print_remarks', "");


$f_order_print_remarks_1 = "Goods once sold neither exchangeable nor refundable without sale invoice 03 days.";
$f_order_print_remarks_2 = "Please check your products at the time of dispatch, Company will not be responible later.";



/*$pdf->SetFont( $font_cal, '', 8 );
//$pdf->MultiCell(60, 20, $f_order_print_remarks, 1, 'L', '', 0, '' ,'', true);
$pdf->setCellPaddings(3, 2, 2, 2);
$pdf->MultiCell(60, 15, 'Note: '. $f_order_print_remarks."\n\n\n\n", 1, 'L', '');
$pdf->SetXY($current_x + 0, $current_y);*/



$pdf->Rect(10, 75, 60, 25, 'D');


$pdf->SetXY(10, 76);
$pdf->SetFont($font_cal, '', 8);
$pdf->setCellPaddings(2, 1, 1, 1);
$pdf->MultiCell(55, 15, 'Note: ' . $f_order_print_remarks_1, '');
$pdf->SetXY($current_x + 0, $current_y);


$pdf->SetXY(10, 86);
$pdf->SetFont($font_cal, '', 8);
$pdf->setCellPaddings(2, 1, 1, 1);
$pdf->MultiCell(55, 15, $f_order_print_remarks_2, '');
$pdf->SetXY($current_x + 0, $current_y);









/***********************START SUB TOTAL************************/
$pdf->setCellPaddings(0, 0, 0, 0);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(52, 2, '', '0', 0, 'C');
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(25, 0, 'Amount', 'TB', '', 'L');

$pdf->Cell(15, 2, '', '0', '', 'C');
$pdf->Cell(20, 2, number_format($amount_tot, 0), '0', 0, 'R');



/*$pdf->SetFont($font_cal, 'B', 7);
$pdf->Cell(5, 1, '', '1',0,'C', '');
$pdf->Cell(10, 1, '', '1',0,'C', '');
$pdf->Cell(30, 5, '', '1',0,'C', '');
$pdf->Cell(25, 3, 'Amount', '1',0,'L');
$pdf->Cell(20, 8, number_format($amount_tot,0), '1',0,'C', '');*/
/***********************END SUB TOTAL************************/


/***********************START INV DISC************************/
$pdf->Ln(4);

$pdf->setCellPaddings(0, 0, 0, 0);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(52, 2, '', '0', 0, 'C');
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(25, 0, 'Discount', 'B', '', 'L');
$pdf->Cell(15, 2, '', '0', '', 'C');
$pdf->Cell(20, 2, number_format($rowm['disc_amt'], $amt_decimals), '0', 0, 'R');


/*$pdf->Cell(5, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(25, 5, 'Discount', 'B',0,'L');
$pdf->Cell(20, 8, number_format($rowm['disc_amt'], $amt_decimals), '0',0,'C', '');*/
/***********************END INV DISC************************/








/***********************START FREIGHT TOTAL************************/

$pdf->Ln(4);

$pdf->setCellPaddings(0, 0, 0, 0);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(52, 2, '', '0', 0, 'C');
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(25, 0, 'Freight', 'B', '', 'L');
$pdf->Cell(15, 2, '', '0', '', 'C');
$pdf->Cell(20, 2, number_format($rowm['dc_amt'], $amt_decimals), '0', 0, 'R');


/*$pdf->Ln(5);

$pdf->SetFont($font_cal, 'B', 7);
$pdf->Cell(5, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(25, 5, 'Freight', 'B',0,'L');
$pdf->Cell(20, 8, number_format($rowm['dc_amt'], $amt_decimals), '0',0,'C', '');;*/
/***********************END FREIGHT TOTAL************************/


/***********************START PERVIOUS BALANCE TOTAL************************/

$pdf->Ln(4);

$pdf->setCellPaddings(0, 0, 0, 0);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(52, 2, '', '0', 0, 'C');
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(25, 0, 'Payment', 'B', '', 'L');
$pdf->Cell(15, 2, '', '0', '', 'C');
$pdf->Cell(20, 2,  number_format($rowm['adv_amt'], $amt_decimals), '0', 0, 'R');


/*
$pdf->Ln(5);

$pdf->SetFont($font_cal, 'B', 7);
$pdf->Cell(5, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(25, 5, 'Payment', 'B',0,'L');
$pdf->Cell(20, 8, number_format($rowm['adv_amt'], $amt_decimals), '0',0,'C', '');*/
/***********************END PERVIOUS BALANCE TOTAL************************/


/***********************START TOTAL************************/

$pdf->Ln(4);

$pdf->setCellPaddings(0, 0, 0, 0);
$pdf->SetFont($font_cal, 'B', 8);
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(52, 2, '', '0', 0, 'C');
$pdf->Cell(8, 2, '', '0', 0, 'C');
$pdf->Cell(25, 0, 'Total', 'B', '', 'L');
$pdf->Cell(15, 2, '', '0', '', 'C');
$pdf->Cell(20, 2,  number_format($rowm['net_payable'], $amt_decimals), 'D', 0, 'R');



/*$pdf->Ln(5);

$pdf->SetFont($font_cal, 'B', 7);
$pdf->Cell(5, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(30, 8, '', '0',0,'C', '');
$pdf->Cell(25, 5, 'Total', 'B',0,'L');
$pdf->Cell(20, 8, number_format($rowm['net_payable'], $amt_decimals), '0',0,'C', '');*/

/***********************END TOTAL************************/

$pdf->Ln(0);

$pdf->Cell(5, 8, '', '0', 0, 'C', '');
$pdf->Cell(25, 8, '', '0', 0, 'C', '');
$pdf->Cell(38, 8, '', '0', 0, 'C', '');
$pdf->Cell(25, 5, '', 'B', 0, 'C');



$pdf->Ln(5);
$nw = new NumbersToWords();

$pdf->SetFont($font_cal, '', 7);
$pdf->Cell(62, 8, '', '0', 0, 'C', '');
$pdf->Cell(5, 8, '', '0', 0, 'C', '');
$pdf->Cell(5, 8, '', '0', 0, 'C', '');
$pdf->Cell(5, 5, '', '0', 0, 'C');
$pdf->Cell(10, 8, ucfirst($nw->convert($rowm['net_payable'])) . ' Only', '0', 0, 'C', '');







/*$pdf->Rect(5, 95, 60, 30, 'D');
$pdf->SetLeftMargin('10');
$pdf->SetFont( 'Arial', 'B', 10 );
$pdf->SetXY(8, 95);
$pdf->Cell(100, 10, 'Note:', 0, 0, 'L');
$f_order_print_remarks = find_value('system', 'order_print_remarks', "");
$pdf->SetXY(8, 102);
$pdf->SetFont( 'Arial', '', 8 );
$pdf->MultiCell(60, 4, $f_order_print_remarks, 0, 'L', '');*/

















$pdf->Ln(10);
$pdf->SetLeftMargin('10');
$pdf->Ln(5);
$pdf->SetFont($font_cal, 'B', 9);
$pdf->Cell(60, 10, 'Remarks :', 0, 0, 'L');

$pdf->Ln(10);
$pdf->SetFont($font_cal, '', 8);
$pdf->MultiCell(100, 4, $rowm['particulars'], 0, 'L',  '');
$pdf->Ln(20);















// ---------------------------------------------------------

// Close and output PDF document
// This method has several options, check the source code documentation for more information.
ob_end_clean();
$pdf->Output();

//============================================================+
// END OF FILE
//============================================================+